Subject: [Iotops] Martin Duke's Block on charter-ietf-iotops-00-17: (with BLOCK)

From: Martin Duke via Datatracker <[email-masked]>
Date: Wed, 03 Feb 2021 10:46:01 -0800

Martin Duke has entered the following ballot position for
charter-ietf-iotops-00-17: Block

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/charter-ietf-iotops/

----------------------------------------------------------------------
BLOCK:
----------------------------------------------------------------------

I hate to do this the second time through, but I'm happy to clear it after the
telechat after a brief discussion makes it clear I am very wrong...

I recognize that this WG is more focused on discussion and sharing that more
standards-directed ones, but I'm a bit uncomfortable with the open-endedness of
the charter. While there are bounds on the scope, there are no real success
criteria that we can use to evaluate this WG after a certain period of time.

Would it be worthwhile to BoF this first to set some basic milestones for this
WG? Do we already have these milestones in someone's head, that we can write
down?

 I definitely support formation of a WG with this theme, with a little
 tightening as described above.

---

From: Eliot Lear <[email-masked]>
Date: Wed, 3 Feb 2021 20:19:52 +0100

Please no.  Either create the group or don’t.  We’ve been talking about it since Benoit was an AD.

> On 3 Feb 2021, at 19:46, Martin Duke via Datatracker <[email-masked]> wrote:
> 
> --
> Iotops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iotops

---

From: Barry Leiba <[email-masked]>
Date: Wed, 3 Feb 2021 14:25:25 -0500

I don't know how this happened, but I accidentally sent the following
to Martin along, rather than to the list:

--------------------------------
I look at it the other way: I think we're often being too restrictive,
and that we should charter *more* working groups of this nature.  I
really don't understand the objection to it.

We've tried doing this in different ways, with things like the
Exploratory Groups experiment, but changes like that aren't well
understood and don't tend to succeed.  But just putting it into the
Working Group context with goals that are still clear but less
concrete seems workable (and is working in MOPS, for example).

Lars moved in that sort of direction for the IRTF when he chaired it,
and it worked: go do your work for a year, and if it looks right at
that point, you're official.  I think that for working groups it's
better to make the charter official and kill it after a year if it's
not working, but it amounts to something close to the same thing.
--------------------------------

In a resultant exchange with Martin, he noted to me the lack of
clarity on "if it looks right", and I see the point there.  Maybe we
can have a few more words about how we can evaluate the success of the
working group if it does not produce documents under charter scope
items (3) or (4)?  I could get behind that, if we don't wrap ourselves
around an axle about it.

Barry

---

From: Martin Duke <[email-masked]>
Date: Wed, 3 Feb 2021 11:35:30 -0800

That sounds like a satisfactory solution to me.

---

From: Eliot Lear <[email-masked]>
Date: Wed, 3 Feb 2021 20:42:33 +0100

Barry,

To me this will be difficult.  The problem is that it will work when we don’t see disparate incompatible architectures popping up in different working groups where they don’t even know the other exists.  I am hoping that the result is also that the use cases for some of the items in (1) will be more broadly laid out.  But again, I don’t know how to measure that.

I think having a few architectural documents come out of the group that discuss the landscape of the IETF for IOT wouldn’t kill us.  So changing (4) to include such sorts of documents as informational non-normative descriptions of what we and others have and what we lack would be nice.

Eliot

> On 3 Feb 2021, at 20:25, Barry Leiba <[email-masked]> wrote:
>

---

From: Barry Leiba <[email-masked]>
Date: Wed, 3 Feb 2021 15:18:17 -0500

> To me this will be difficult.  The problem is that it will work when
> we don’t see disparate incompatible architectures popping up in
> different working groups where they don’t even know the other exists.
> I am hoping that the result is also that the use cases for some of the
> items in (1) will be more broadly laid out.  But again, I don’t know
> how to measure that.

I can't speak for Martin, and I already have a Yes ballot here.  But
what I would think appropriate would be for the working group to draft
a report to the IESG summarizing what the group has accomplished.  I
don't know whether that should be annual, or just once after the first
year.  I don't know whether it needs to be a WG consensus thing, or
just a report from the WGCs.  But it would probably be useful both as
a checkpoint for this working group and as a demonstration to the IESG
that working groups such as this have value and should be considered
more often.

> I think having a few architectural documents come out of the group
> that discuss the landscape of the IETF for IOT wouldn’t kill us.  So
> changing (4) to include such sorts of documents as informational
> non-normative descriptions of what we and others have and what we lack
> would be nice.

Clearly, if the working group is producing documents, they can be used
to assess the effectiveness of the group in more traditional ways,
sure.  I'm looking at how to show that "think tank" or "discussion"
working groups can be a useful addition to our repertoire.

Barry

---

From: Eliot Lear <[email-masked]>
Date: Wed, 3 Feb 2021 22:03:54 +0100

> On 3 Feb 2021, at 21:18, Barry Leiba <[email-masked]> wrote:
> 
> a report to the IESG summarizing what the group has accomplished.

That sounds quite reasonable.  This is definitely a horse of a different color.

Eliot